Skip to main content
GET
/
identity
/
identities
/
{id}
Get Identity
curl --request GET \
  --url https://api.paxos.com/v2/identity/identities/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/identity/identities/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/identity/identities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "f190b163-208f-4d73-8deb-4fb8b24add00",
  "summary_status": "PENDING"
}
OAuth Scope
identity:read_identity

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

id
string
required

id associated with the identity

Query Parameters

include_details
boolean

query param; details are encrypted, so we do not want to include them by default

include_institution_members
boolean

query param; to include institution members for institution identity

Response

200 - application/json

A successful response.

id
string
required
metadata
API User-facing metadata · object
status
enum<string>
Available options:
PENDING,
ERROR,
APPROVED,
DENIED,
DISABLED
status_details
object
summary_status
enum<string>
Available options:
PENDING,
ERROR,
APPROVED,
DENIED,
DISABLED
user_disabled
boolean

Deprecated: use status_details.active_controls instead.

admin_disabled
boolean

Deprecated: use status_details.active_controls instead.

person_details
object
type
enum<string>
Available options:
PERSON,
INSTITUTION
ref_id
string

A user-facing ID to prevent duplicate account creation. Unique for all accounts created by the same API user.

institution_details
object
institution_members
members associated with institution identity type · object[]
created_at
string<date-time>

The time at which the identity is created at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.

updated_at
string<date-time>

The time at which the identity is updated at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.

tax_details
tax payer details · object[]
tax_details_not_required
boolean
summary_tin_verification_status
enum<string>

The TIN verification status for the associated tax_payer_id.

Available options:
TIN_VERIFICATION_PENDING,
TIN_VERIFICATION_ERROR,
TIN_VERIFICATION_VALID
customer_due_diligence
object
is_merchant
boolean

True if the identity is a merchant.

last_kyc_refresh_date
string<date-time>

The last timestamp the identity has undergone a periodic kyc refresh. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.